Bug 1267741 - changing websockets values in settings.yaml file does not seem to work
changing websockets values in settings.yaml file does not seem to work
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources (Show other bugs)
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ohad Levy
Kedar Bidarkar
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-09-30 16:18 EDT by Kedar Bidarkar
Modified: 2017-08-01 16:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-08-01 16:02:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15878 None None None 2016-07-28 08:04 EDT

  None (edit)
Description Kedar Bidarkar 2015-09-30 16:18:06 EDT
Description of problem:

Changing or commenting out the below values from /etc/foreman/settings.yaml file does not seem to have any effect on the conole of the provisioned vm.

# Websockets
:websockets_encrypt: True
:websockets_ssl_key: /etc/pki/katello/private/katello-apache.key
:websockets_ssl_cert: /etc/pki/katello/certs/katello-apache.crt

Once encryption is enabled, it's not possible to disable it via 

a) setting ':websockets_encrypt: False' and/or
b) commenting out ':websockets_ssl_key:' and ':websockets_ssl_cert:'

Disabling of vm console encryption seems to only work by changing it via the UI through the Administer->Settings.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:
Unable to disable vm-console encryption via /etc/foreman/settings.yaml file and is only possible via Administer->Settings.

Expected results:
To avoid confusion, we should either,

a) remove the #websockets section from the file /etc/foreman/settings.yaml 
and recommend changing it via the Administer->Settings.
b) make it work :)

Additional info:
Comment 2 Kedar Bidarkar 2015-10-01 07:22:44 EDT
In the web UI Administer->Settings we could not change the settings, pop-up says they are set in the settings.yaml file and they are read-only in the GUI. 

But upon commenting the websocket settings in settings.yaml and restarting 'katello-service restart', we could update via the GUI.

The idea is to track this issue here and have a straightforward method of enabling and disabling webscoket encryption for the vm's console rather than trying multiple things to achieve it.
Comment 3 Bryan Kearney 2016-07-08 16:48:06 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 5 Ondřej Pražák 2016-07-28 07:56:31 EDT
Created redmine issue http://projects.theforeman.org/issues/15878 from this bug
Comment 6 Bryan Kearney 2016-08-11 14:31:19 EDT
Upstream was not able to re-produce. Moving to ON_QA for verification.
Comment 7 Bryan Kearney 2017-08-01 16:02:28 EDT
The fix to this bug will be delivered with release 6.3 of Satellite.

Note You need to log in before you can comment on or make changes to this bug.